## trapperkeeper-scheduler-clojure 0.1.0

=== debian/changelog ===
trapperkeeper-scheduler-clojure (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #870877)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 18:05:17 -0400
