=== debian/control ===
Source: trapperkeeper-scheduler-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper (>= 10),
 javahelper (>= 0.32),
 maven-repo-helper (>= 1.7),
 clojure (>= 1.8),
 libtrapperkeeper-clojure (>= 1.1.1),
 libkitchensink-clojure (>= 1.0.0),
 libprismatic-schema-clojure (>= 0.4.0),
 libat-at-clojure (>= 1.2.0),
 libtools-namespace-clojure (>= 0.2.4),
 libtext-markdown-perl | markdown,
 default-jdk
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-java/trapperkeeper-scheduler-clojure.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/trapperkeeper-scheduler-clojure.git
Homepage: https://github.com/puppetlabs/trapperkeeper-scheduler

Package: libtrapperkeeper-scheduler-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: Trapperkeeper service for scheduling background tasks
 Trapperkeeper-scheduler is a Trapperkeeper service that provides a simple API
 for scheduling potentially recurring background tasks. Other Trapperkeeper
 services may specify a dependency on the Scheduler service and then use its
 functions to schedule and cancel jobs to be run on background.
