=== debian/watch ===
version=4
opts=filenamemangle=s!.*/archive/(.*)!trapperkeeper-scheduler-$1! \
 https://github.com/puppetlabs/trapperkeeper-scheduler/releases	.*/archive/([\d.]+)\.tar\.gz
