## trapperkeeper-scheduler-clojure 1.1.3

=== debian/changelog ===
trapperkeeper-scheduler-clojure (1.1.3-7) unstable; urgency=medium

  * d/patches: drop jackson and snakeyaml version overrides
  * d/control:
    + add myself to Uploaders
    + use headless jdk in build-deps
    - remove unneeded test build-dep
  * d/rules: remove "ressources" form dh_clean
  * d/tests: mark upstream testsuite as flaky
  * fix bogus org.quartz-scheduler "debian" version in poms

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 07 Feb 2023 09:59:17 -0500

trapperkeeper-scheduler-clojure (1.1.3-6) unstable; urgency=medium

  * Team upload.
  * d/patches: remove gettext from :exclusions (Closes: #1030428)
  * d/patches: make DEP-3 compliant
  * d/control: remove redundant unversioned binary deps
  * d/control: bump Standards-Version, no changes needed
  * d/rules:
    + honor nocheck flag in build options
    + exclude :dev dependencies from pom.xml
    - get rid of override_jh_installlibs
    - stop running flaky testuite during build
  * d/tests: add autopkgtests
  * d/changelog: fixup 1.1.3-4 entry

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 04 Feb 2023 15:56:41 -0500

trapperkeeper-scheduler-clojure (1.1.3-5) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * Replace the old Clojure Team email by the new one.

  [ Jérôme Charaoui ]
  * Add d/gbp.conf with team-clojure defaults
  * Fix typo in quartz2.jar classpath
  * Add d/upstream/metadata
  * Fix d/watch, switch to git mode

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 14 Jul 2022 15:15:15 -0400

trapperkeeper-scheduler-clojure (1.1.3-4) unstable; urgency=medium

  * Team upload.
  * Disable the testsuite during build. (Closes: #981441)
  * d/rules: use --java-lib in maven instead of overriding jh_installlibs.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 12 Feb 2021 21:48:29 -0500

trapperkeeper-scheduler-clojure (1.1.3-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 30 Jan 2021 19:54:13 -0500

trapperkeeper-scheduler-clojure (1.1.3-2) unstable; urgency=medium

  * Team upload.
  * Use lein i18n, as gettext has been fixed. (Closes: #980708 )

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 24 Jan 2021 12:12:22 -0500

trapperkeeper-scheduler-clojure (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Build using leiningen. (Closes: #975207)
  * d/control: use dh-compat and update to dh13.
  * d/control: move to the Clojure Team and update VCS fields.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 19 Dec 2020 15:38:08 -0500
