=== debian/control ===
Source: trapperkeeper-scheduler-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 javahelper,
 maven-repo-helper,
 libclojure-java (>= 1.11.1-2),
 libtrapperkeeper-clojure (>= 3.2.0-2),
 libpuppetlabs-i18n-clojure (>= 0.9.2-2),
 libkitchensink-clojure (>= 3.2.1),
 libquartz2-java,
 leiningen,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/clojure-team/trapperkeeper-scheduler-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/trapperkeeper-scheduler-clojure
Homepage: https://github.com/puppetlabs/trapperkeeper-scheduler
Rules-Requires-Root: no

Package: libtrapperkeeper-scheduler-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 libtrapperkeeper-clojure (>= 3.1.0),
 libpuppetlabs-i18n-clojure (>= 0.9.0),
 libkitchensink-clojure (>= 3.1.1-2),
Recommends: ${java:Recommends}
Description: Trapperkeeper service for scheduling background tasks
 Trapperkeeper-scheduler is a Trapperkeeper service that provides a simple API
 for scheduling potentially recurring background tasks. Other Trapperkeeper
 services may specify a dependency on the Scheduler service and then use its
 functions to schedule and cancel jobs to be run on background.
