=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
NAME=trapperkeeper-scheduler

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	# "with-profile -dev" below is a workaround for
	# https://codeberg.org/leiningen/leiningen/issues/14
	# upstream needs to fix their project.clj
	lein with-profile -dev pom debian/pom.xml
	lein i18n make
	lein jar
	# symlink so we don't need a version in debian/*.poms
	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar

override_dh_auto_test:
	# Hangs on buildds. See #981441.
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	lein test
#endif

override_dh_clean:
	rm -f debian/maven-repo
	rm -f debian/pom.xml
	rm -Rf target
	dh_clean
