=== debian/tests/control ===
Tests: build
Depends:
 clojure,
 @,
Restrictions: superficial

Tests: upstream
Depends:
 clojure,
 libbultitude-clojure,
 @,
Restrictions: flaky
