=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/puppetlabs/trapperkeeper-scheduler.git \
refs/tags/@ANY_VERSION@
